import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/warning/warningInfo` + url, ...arg)

export default {
	getWarningPage(data) {
		return request('/page', data, 'post')
	},
	getWarningChart(data) {
		return request('/listSevenDayWarning', data, 'get')
	},
	getWarningPie(data) {
		return request('/getProportion', data, 'get')
	},
	getWarningType(data) {
		return request('/warningTypeSelector', data, 'get')
	}
}
